1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PSP 1.5 with 4GB+ Memory Stick

Discussion in 'Sony PSP - Mod and firmware discussion' started by DewDew, Jan 16, 2007.

  1. DewDew

    DewDew Member

    Joined:
    Jan 11, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    In order for the PSP to read a 2GB+ memory stick, the firmware of the PSP must be 2.70 or higher. However, I would like to keep my PSP 1.5 due to an array of compatibilities with version 1.5.

    I know DevHook is a possibility, but I don't understand the logic in having a 4GB stick with version 1.5.

    If I have a 4GB stick with psp 1.5, will it show only 1gb w/o devhook, and when I want to play iso games and boot with devhook (firmware 2.70+) will it show the rest of the 4gb storage?

    Thanks.
     
  2. shedeus

    shedeus Regular member

    Joined:
    Dec 20, 2006
    Messages:
    239
    Likes Received:
    0
    Trophy Points:
    26
    strange...

    my 1.5 was reading all 4gb, or at least that's the stick that holds all my emus and roms.

    i thought the threshold was nothing greater than 4gb fror 1.5
     
  3. nypsp

    nypsp Member

    Joined:
    Nov 30, 2006
    Messages:
    73
    Likes Received:
    0
    Trophy Points:
    16
    i have a 4gb on my psp with 1.5 no need for devhook it works fine and you get all the gb you would normally have , u dont loose anything , if u get a 4gb ms you will be fine
     
  4. DewDew

    DewDew Member

    Joined:
    Jan 11, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Thanks.
     
  5. NextonwwE

    NextonwwE Member

    Joined:
    Aug 14, 2006
    Messages:
    77
    Likes Received:
    0
    Trophy Points:
    16
    hey 4gb is great i recently got 1 for 80$
     
  6. nypsp

    nypsp Member

    Joined:
    Nov 30, 2006
    Messages:
    73
    Likes Received:
    0
    Trophy Points:
    16
    no prob , i was confused at first too because there are a few threads out there that say the 4 gb wont work with a 1.5 and a few that says it does, so i just bought it and i confirmed it myself that it works
     

Share This Page